%{?nodejs_find_provides_and_requires}

%global packagename lexical-scope
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 1.2.0
Release: 1%{?dist}.3
Summary: Detect global and local lexical identifiers from javascript source code
License: MIT
URL: https://github.com/substack/lexical-scope
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(astw) >= 2.0.0
BuildRequires: npm(astw) < 3.0.0
%if 0%{?enable_tests}
BuildRequires: npm(tape) >= 2.4.1
%endif

%description
Detect global and local lexical identifiers from javascript source code.


%prep
%setup -q -n package
%nodejs_fixdep --dev tape '>=2.4.1'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tape test/*.js
%endif


%files
%license LICENSE
%doc *.markdown example
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Sep 26 2016 Oleg Girko <ol@infoserver.lv> - 1.2.0-1
- Initial package.
